<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://www.leadnow.pl
 * @since      1.0.0
 *
 * @package    Leadnow_Fastpay
 * @subpackage Leadnow_Fastpay/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Leadnow_Fastpay
 * @subpackage Leadnow_Fastpay/includes
 * @author     Leadnow.pl <tech@leadnow.pl>
 */
class Leadnow_Fastpay_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'leadnow-fastpay',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
